## kdepim-runtime 20.08.1

=== debian/changelog ===
kdepim-runtime (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:32 +0100

kdepim-runtime (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Build dep libkpimkdav-dev -> libkf5dav-dev, in line with kdav
    changes.
  * New build depend on libkf5libkdepim-dev.
  * Update install files, and add breaks/replaces for files moved from
    src:libkf5libkdepim.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:20:04 +0100
