=== debian/changelog ===
kdepim-runtime (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Add kmailtransport-akonadi to Depends, as Exchange EWS resource
    needs it to be able to send emails (Closes: #973567)
  * Remove not existing version dependency from akonadi-server.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:50:15 +0100

kdepim-runtime (4:20.08.2-4) unstable; urgency=medium

  * Add libsasl2-modules to Depends (Closes: #970127)

 -- Sandro Knauß <hefee@debian.org>  Mon, 26 Oct 2020 23:44:27 +0100

kdepim-runtime (4:20.08.2-3) unstable; urgency=medium

  * Team upload.
  * Break/replace also libkf5libkdepim-plugins < 20.08. (Closes: #972664)

 -- Pino Toscano <pino@debian.org>  Fri, 23 Oct 2020 14:39:37 +0200

kdepim-runtime (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:09:02 +0200

kdepim-runtime (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Remove backported patch.
  * Update patch hunks.
  * Update copyright file for 20.08.
  * Breaks/Replaces against libkf5libkdepim-data.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:10 +0200

kdepim-runtime (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/kdepim-runtime.categories, and
    /etc/xdg/kdepim-runtime.renamecategories conffiles.
  * Backport upstream commit bd64ab29116aa7318fdee7f95878ff97580162f2 to make
    new POP3 connections encrypted by default (CVE-2020-15954); patch
    upstream_Fix-Bug-423426-POP3-setup-wizard-defaults-to-unencry.patch.
    (Closes: #966666)
  * Update lintian overrides.
  * Fix typo in the description of patch make_qtwebengine_optional.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Aug 2020 20:35:34 +0200

kdepim-runtime (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:00:37 +0200

kdepim-runtime (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Update patch make_qtwebengine_optional.patch.
  * Wrap long lines in changelog entries: 4:16.04.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Enable hardening all.
  * Cleanup copyright file.
  * Remove unused license definitions for BSD_like_CMU-4-clause.
  * Remove COPYING.LIB listed in copyright file.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:23:26 +0200
